Erro no repositório

Ola pessoas!
Estou com problemas para efetuar a instalação do QGIS. Eu tinha uma instalação anterior e efetuei a retirada, mas acabei não retirando da lista de repositórios o fornecedor da versão anterior. Desta forma, desinstalei a versão antiga e não consigo instalar mais nada, quando abro o 'Gerenciador de Pacotes Synaptic' ou tento entrar como superusuário via terminal aparece o seguinte erro:

E: Tipo 'sudo' não é conhecido na linha 2 na lista de fontes /etc/apt/sources.list
N: A ignorar o ficheiro 'getdeb.list.bck' no directório '/etc/apt/sources.list.d/' porque tem uma extensão inválida no nome do ficheiro
E: A lista de fontes não pode ser lida.

Alguém pode me ajudar?

Desde já agradeço.
Abraço.
·

Comentários

  • Aparentemente houve alguma falha na instalação do Mint. Tente uma nova instalação, observando bem todas as mensagens.
    Afonso Teixeira de Freitas
    LinuxUser#142898
    ·
  • JoaoPaulo disse:

    Ola pessoas!
    Estou com problemas para efetuar a instalação do QGIS. Eu tinha uma instalação anterior e efetuei a retirada, mas acabei não retirando da lista de repositórios o fornecedor da versão anterior. Desta forma, desinstalei a versão antiga e não consigo instalar mais nada, quando abro o 'Gerenciador de Pacotes Synaptic' ou tento entrar como superusuário via terminal aparece o seguinte erro:

    E: Tipo 'sudo' não é conhecido na linha 2 na lista de fontes /etc/apt/sources.list
    N: A ignorar o ficheiro 'getdeb.list.bck' no directório '/etc/apt/sources.list/' porque tem uma extensão inválida no nome do ficheiro
    E: A lista de fontes não pode ser lida.

    Alguém pode me ajudar?

    Desde já agradeço.
    Abraço.

    Navegue pelo caminha /etc/apt/sources.list e /etc/apt/sources.list

    Bem provável que o 'getdeb.list.bck' esta duplicado.

    Na linha "2" veja se tem o mesmo assunto e delete um deles.
    ·
Entre ou Registre-se para fazer um comentário.